import java.awt.*;
import javax.swing.*;
import java.awt.event.*;


public class Screen extends JPanel implements ActionListener
{
	private Ball ball1,ball2,ball3;
	private int width, height;

	public Screen(int w, int h)
	{
		width = w;
		height = h;
		setSize(new Dimension(w,h));

		ball1 = new Ball();
		ball2= new Ball(200, 200, "red");
		ball3 = new Ball(100, 50, 20, -3, 6, "blue");



		Timer t = new Timer(50, this);
		t.start();
	}


	public void actionPerformed(ActionEvent ae)
	{
		ball1.move();
		ball2.move();
		ball3.move();

		repaint();

	}

	@Override
	public void paintComponent(Graphics g)
	{
		System.out.println("in again");
		super.paintComponent(g);

		ball1.paint(g);   //calls on paint method from Ball class
		ball2.paint(g);   //calls on paint method from Ball class
		ball3.paint(g);   //calls on paint method from Ball class


	}

}
